/*
  'Acqua' kwin client

  Copyright (C) 2001 Rik Hemsley (rikkus) <rik@kde.org>

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public
  License as published by the Free Software Foundation; either
  version 2 of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; see the file COPYING.  If not, write to
  the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
  Boston, MA 02111-1307, USA.
*/

#include "AcquaButtonIconify.h"

using namespace KWinInternal;

static const char * minimize_xpm[] = {
"22 16 226 2",
"  	c None",
". 	c #E9E9E9",
"+ 	c #E5E5E5",
"@ 	c #A6A5A4",
"# 	c #61605E",
"$ 	c #3D2324",
"% 	c #2D1515",
"& 	c #392526",
"* 	c #645655",
"= 	c #C2C0C0",
"- 	c #F1F1F1",
"; 	c #F0F0F0",
"> 	c #EAEAEA",
", 	c #906461",
"' 	c #6D4546",
") 	c #A49091",
"! 	c #D2BEBD",
"~ 	c #DFCDC9",
"{ 	c #D0BDB6",
"] 	c #A98B89",
"^ 	c #6C4548",
"/ 	c #8C696F",
"( 	c #FFFFFF",
"_ 	c #F8F8F8",
": 	c #906866",
"< 	c #884C44",
"[ 	c #C49083",
"} 	c #F1D0C1",
"| 	c #FADEDA",
"1 	c #FFE7DD",
"2 	c #FEE4D7",
"3 	c #F2CDC4",
"4 	c #B98987",
"5 	c #7B4E55",
"6 	c #90707B",
"7 	c #ECECEC",
"8 	c #B3989F",
"9 	c #79322C",
"0 	c #AD5C41",
"a 	c #DD9871",
"b 	c #EBB88B",
"c 	c #F1C79F",
"d 	c #ECC59A",
"e 	c #EAC493",
"f 	c #ECBC8C",
"g 	c #E1A581",
"h 	c #9C5D4B",
"i 	c #6E3838",
"j 	c #BC9CA4",
"k 	c #DDDDDD",
"l 	c #8A4D52",
"m 	c #B04E35",
"n 	c #E07D42",
"o 	c #D68738",
"p 	c #DD9B47",
"q 	c #D79C40",
"r 	c #D7A141",
"s 	c #DEA943",
"t 	c #D69730",
"u 	c #D98C30",
"v 	c #CE7936",
"w 	c #9D4D28",
"x 	c #954C3D",
"y 	c #EEEEEE",
"z 	c #DCDCDC",
"A 	c #7B3124",
"B 	c #CE602B",
"C 	c #E5811F",
"D 	c #DE911B",
"E 	c #E59E2A",
"F 	c #F3AC30",
"G 	c #E8A729",
"H 	c #F1B02E",
"I 	c #EFA51E",
"J 	c #E48B0B",
"K 	c #E98620",
"L 	c #D06D2C",
"M 	c #8E2D0A",
"N 	c #FDFDFD",
"O 	c #E8E8E8",
"P 	c #82371A",
"Q 	c #EE8033",
"R 	c #F29A1E",
"S 	c #F3B127",
"T 	c #F4B333",
"U 	c #FFC24B",
"V 	c #F6B743",
"W 	c #F7BB41",
"X 	c #FFBC3B",
"Y 	c #FCA824",
"Z 	c #F79727",
"` 	c #E47F37",
" .	c #922F06",
"..	c #EFEFEF",
"+.	c #DADADA",
"@.	c #914827",
"#.	c #F8923D",
"$.	c #F4AC26",
"%.	c #F0BF36",
"&.	c #FFC753",
"*.	c #F9C95A",
"=.	c #FBD067",
"-.	c #FDD76C",
";.	c #FFD05A",
">.	c #FEBF3E",
",.	c #F8AB37",
"'.	c #E89545",
").	c #A14F1F",
"!.	c #E6E6E6",
"~.	c #CBCAC8",
"{.	c #9D5839",
"].	c #F0923B",
"^.	c #F8BC38",
"/.	c #F9D251",
"(.	c #FFD46E",
"_.	c #FFE776",
":.	c #FBE67D",
"<.	c #F9E87E",
"[.	c #F2D962",
"}.	c #F7CF49",
"|.	c #F7C041",
"1.	c #E0A142",
"2.	c #9D5D1D",
"3.	c #D2D2D2",
"4.	c #D4D4D4",
"5.	c #967556",
"6.	c #C89033",
"7.	c #FFC643",
"8.	c #FED652",
"9.	c #FEEA77",
"0.	c #FFF07D",
"a.	c #FFFA94",
"b.	c #FAF591",
"c.	c #F7E169",
"d.	c #FFE052",
"e.	c #FFCC4E",
"f.	c #BB8E4A",
"g.	c #886B59",
"h.	c #D3D3D2",
"i.	c #F7F7F7",
"j.	c #E1E1E1",
"k.	c #9C847A",
"l.	c #A17036",
"m.	c #E4B148",
"n.	c #FFE263",
"o.	c #FCF370",
"p.	c #FFFC83",
"q.	c #FFFD8C",
"r.	c #FBFB8B",
"s.	c #FFF67B",
"t.	c #FFE566",
"u.	c #DBAC44",
"v.	c #9E7B45",
"w.	c #9A8779",
"x.	c #E2E2E2",
"y.	c #D7D7D7",
"z.	c #AAA4A7",
"A.	c #7F604E",
"B.	c #9F7D3E",
"C.	c #D6C55D",
"D.	c #F6F976",
"E.	c #FBF67E",
"F.	c #FFFF8D",
"G.	c #FFFF8E",
"H.	c #F9F780",
"I.	c #E0C864",
"J.	c #9B7C39",
"K.	c #7A6749",
"L.	c #A49D99",
"M.	c #D6D6D6",
"N.	c #DEDEDE",
"O.	c #BCBCBC",
"P.	c #897D81",
"Q.	c #685841",
"R.	c #6D6729",
"S.	c #8D963B",
"T.	c #CFD648",
"U.	c #D5E551",
"V.	c #BDD042",
"W.	c #949D26",
"X.	c #797224",
"Y.	c #6A5B3A",
"Z.	c #807B77",
"`.	c #BABABA",
" +	c #E0E0E0",
".+	c #CDCDCD",
"++	c #B4B4B4",
"@+	c #8C8889",
"#+	c #626353",
"$+	c #565B3B",
"%+	c #433453",
"&+	c #494351",
"*+	c #474843",
"=+	c #4A4A42",
"-+	c #625C5C",
";+	c #8B848B",
">+	c #B3B3B3",
",+	c #CBCBCB",
"'+	c #DBDBDB",
")+	c #E3E3E3",
"!+	c #BDBDBD",
"~+	c #A5A7AC",
"{+	c #83838D",
"]+	c #827E7F",
"^+	c #757573",
"/+	c #767873",
"(+	c #8D8F8C",
"_+	c #A3AAAA",
":+	c #D9D9D9",
"<+	c #D8D8D8",
"[+	c #D3D3D3",
"}+	c #C7C7C7",
"|+	c #ACACAC",
"1+	c #A6A6A4",
"2+	c #A5A5A5",
"3+	c #A7A7A8",
"4+	c #B0B0B0",
"5+	c #C9C9C9",
"6+	c #CECECE",
"7+	c #CACACA",
"8+	c #C5C5C5",
"9+	c #B8B8B8",
"0+	c #BBBBBB",
"a+	c #C0C0C0",
"b+	c #C8C8C8",
"c+	c #C6C6C6",
". . . . . . . + @ # $ % & * = + . . . . . . ",
"- - - - - ; > , ' ) ! ~ { ] ^ / > ; - - - - ",
"( ( ( ( ( _ : < [ } | 1 2 3 4 5 6 _ ( ( ( ( ",
"- - - - 7 8 9 0 a b c d e f g h i j 7 - - - ",
". . . . k l m n o p q r s t u v w x k . . . ",
"y y y y z A B C D E F G H I J K L M z y y y ",
"N N N N O P Q R S T U V W X Y Z `  .O N N N ",
"........+.@.#.$.%.&.*.=.-.;.>.,.'.).+.......",
"!.!.!.!.~.{.].^./.(._.:.<.[.}.|.1.2.3.!.!.!.",
"> > > > 4.5.6.7.8.9.0.a.b.c.d.e.f.g.h.> > > ",
"i.i.i.i.j.k.l.m.n.o.p.q.r.s.t.u.v.w.x.i.i.i.",
"O O O O y.z.A.B.C.D.E.F.G.H.I.J.K.L.M.O O O ",
"N.N.N.N.4.O.P.Q.R.S.T.U.V.W.X.Y.Z.`.3.N.N.N.",
" + + + +z .+++@+#+$+%+&+*+=+-+;+>+,+'+ + + +",
"> > > > > )+3.!+~+{+]+^+/+(+_+!+3.)+> > > > ",
":+:+:+:+:+<+[+}+`.|+1+2+3+4+O.5+[+<+:+:+:+:+",
"6+6+6+6+6+6+6+7+8+!+9+9+0+a+}+,+6+6+6+6+6+6+",
",+,+,+,+5+7+7+b+}+}+8+8+c+}+5+7+5+7+7+,+,+,+"};

static const char * minimize_over_xpm[] = {
"22 16 213 2",
"  	c None",
". 	c #E9E9E9",
"+ 	c #E5E5E5",
"@ 	c #A6A5A4",
"# 	c #61605E",
"$ 	c #3D2324",
"% 	c #2D1515",
"& 	c #392526",
"* 	c #645655",
"= 	c #C2C0C0",
"- 	c #F1F1F1",
"; 	c #F0F0F0",
"> 	c #EAEAEA",
", 	c #906461",
"' 	c #6D4546",
") 	c #A49091",
"! 	c #D2BEBD",
"~ 	c #DFCDC9",
"{ 	c #D0BDB6",
"] 	c #A98B89",
"^ 	c #6C4548",
"/ 	c #8C696F",
"( 	c #FFFFFF",
"_ 	c #F8F8F8",
": 	c #906866",
"< 	c #884C44",
"[ 	c #C49083",
"} 	c #F1D0C1",
"| 	c #FADEDA",
"1 	c #FFE7DD",
"2 	c #FEE4D7",
"3 	c #F2CDC4",
"4 	c #B98987",
"5 	c #7B4E55",
"6 	c #90707B",
"7 	c #ECECEC",
"8 	c #B3989F",
"9 	c #79322C",
"0 	c #AD5C41",
"a 	c #DD9871",
"b 	c #EBB88B",
"c 	c #F1C79F",
"d 	c #ECC59A",
"e 	c #EAC493",
"f 	c #ECBC8C",
"g 	c #E1A581",
"h 	c #9C5D4B",
"i 	c #6E3838",
"j 	c #BC9CA4",
"k 	c #DDDDDD",
"l 	c #8A4D52",
"m 	c #B04E35",
"n 	c #E07D42",
"o 	c #D68738",
"p 	c #DD9B47",
"q 	c #D79C40",
"r 	c #D7A141",
"s 	c #DEA943",
"t 	c #D69730",
"u 	c #D98C30",
"v 	c #CE7936",
"w 	c #9D4D28",
"x 	c #954C3D",
"y 	c #EEEEEE",
"z 	c #DCDCDC",
"A 	c #7B3124",
"B 	c #CE602B",
"C 	c #E5811F",
"D 	c #DE911B",
"E 	c #E59E2A",
"F 	c #F3AC30",
"G 	c #E8A729",
"H 	c #F1B02E",
"I 	c #EFA51E",
"J 	c #E48B0B",
"K 	c #E98620",
"L 	c #D06D2C",
"M 	c #8E2D0A",
"N 	c #FDFDFD",
"O 	c #E8E8E8",
"P 	c #82371A",
"Q 	c #EE8033",
"R 	c #F29A1E",
"S 	c #693A00",
"T 	c #F79727",
"U 	c #E47F37",
"V 	c #922F06",
"W 	c #EFEFEF",
"X 	c #DADADA",
"Y 	c #914827",
"Z 	c #F8923D",
"` 	c #F4AC26",
" .	c #F8AB37",
"..	c #E89545",
"+.	c #A14F1F",
"@.	c #E6E6E6",
"#.	c #CBCAC8",
"$.	c #9D5839",
"%.	c #F0923B",
"&.	c #F8BC38",
"*.	c #F9D251",
"=.	c #FFD46E",
"-.	c #FFE776",
";.	c #FBE67D",
">.	c #F9E87E",
",.	c #F2D962",
"'.	c #F7CF49",
").	c #F7C041",
"!.	c #E0A142",
"~.	c #9D5D1D",
"{.	c #D2D2D2",
"].	c #D4D4D4",
"^.	c #967556",
"/.	c #C89033",
"(.	c #FFC643",
"_.	c #FED652",
":.	c #FEEA77",
"<.	c #FFF07D",
"[.	c #FFFA94",
"}.	c #FAF591",
"|.	c #F7E169",
"1.	c #FFE052",
"2.	c #FFCC4E",
"3.	c #BB8E4A",
"4.	c #886B59",
"5.	c #D3D3D2",
"6.	c #F7F7F7",
"7.	c #E1E1E1",
"8.	c #9C847A",
"9.	c #A17036",
"0.	c #E4B148",
"a.	c #FFE263",
"b.	c #FCF370",
"c.	c #FFFC83",
"d.	c #FFFD8C",
"e.	c #FBFB8B",
"f.	c #FFF67B",
"g.	c #FFE566",
"h.	c #DBAC44",
"i.	c #9E7B45",
"j.	c #9A8779",
"k.	c #E2E2E2",
"l.	c #D7D7D7",
"m.	c #AAA4A7",
"n.	c #7F604E",
"o.	c #9F7D3E",
"p.	c #D6C55D",
"q.	c #F6F976",
"r.	c #FBF67E",
"s.	c #FFFF8D",
"t.	c #FFFF8E",
"u.	c #F9F780",
"v.	c #E0C864",
"w.	c #9B7C39",
"x.	c #7A6749",
"y.	c #A49D99",
"z.	c #D6D6D6",
"A.	c #DEDEDE",
"B.	c #BCBCBC",
"C.	c #897D81",
"D.	c #685841",
"E.	c #6D6729",
"F.	c #8D963B",
"G.	c #CFD648",
"H.	c #D5E551",
"I.	c #BDD042",
"J.	c #949D26",
"K.	c #797224",
"L.	c #6A5B3A",
"M.	c #807B77",
"N.	c #BABABA",
"O.	c #E0E0E0",
"P.	c #CDCDCD",
"Q.	c #B4B4B4",
"R.	c #8C8889",
"S.	c #626353",
"T.	c #565B3B",
"U.	c #433453",
"V.	c #494351",
"W.	c #474843",
"X.	c #4A4A42",
"Y.	c #625C5C",
"Z.	c #8B848B",
"`.	c #B3B3B3",
" +	c #CBCBCB",
".+	c #DBDBDB",
"++	c #E3E3E3",
"@+	c #BDBDBD",
"#+	c #A5A7AC",
"$+	c #83838D",
"%+	c #827E7F",
"&+	c #757573",
"*+	c #767873",
"=+	c #8D8F8C",
"-+	c #A3AAAA",
";+	c #D9D9D9",
">+	c #D8D8D8",
",+	c #D3D3D3",
"'+	c #C7C7C7",
")+	c #ACACAC",
"!+	c #A6A6A4",
"~+	c #A5A5A5",
"{+	c #A7A7A8",
"]+	c #B0B0B0",
"^+	c #C9C9C9",
"/+	c #CECECE",
"(+	c #CACACA",
"_+	c #C5C5C5",
":+	c #B8B8B8",
"<+	c #BBBBBB",
"[+	c #C0C0C0",
"}+	c #C8C8C8",
"|+	c #C6C6C6",
". . . . . . . + @ # $ % & * = + . . . . . . ",
"- - - - - ; > , ' ) ! ~ { ] ^ / > ; - - - - ",
"( ( ( ( ( _ : < [ } | 1 2 3 4 5 6 _ ( ( ( ( ",
"- - - - 7 8 9 0 a b c d e f g h i j 7 - - - ",
". . . . k l m n o p q r s t u v w x k . . . ",
"y y y y z A B C D E F G H I J K L M z y y y ",
"N N N N O P Q R S S S S S S S T U V O N N N ",
"W W W W X Y Z ` S S S S S S S  ...+.X W W W ",
"@.@.@.@.#.$.%.&.*.=.-.;.>.,.'.).!.~.{.@.@.@.",
"> > > > ].^./.(._.:.<.[.}.|.1.2.3.4.5.> > > ",
"6.6.6.6.7.8.9.0.a.b.c.d.e.f.g.h.i.j.k.6.6.6.",
"O O O O l.m.n.o.p.q.r.s.t.u.v.w.x.y.z.O O O ",
"A.A.A.A.].B.C.D.E.F.G.H.I.J.K.L.M.N.{.A.A.A.",
"O.O.O.O.z P.Q.R.S.T.U.V.W.X.Y.Z.`. +.+O.O.O.",
"> > > > > ++{.@+#+$+%+&+*+=+-+@+{.++> > > > ",
";+;+;+;+;+>+,+'+N.)+!+~+{+]+B.^+,+>+;+;+;+;+",
"/+/+/+/+/+/+/+(+_+@+:+:+<+[+'+ +/+/+/+/+/+/+",
" + + + +^+(+(+}+'+'+_+_+|+'+^+(+^+(+(+ + + +"};

static const char * minimize_down_xpm[] = {
"22 16 224 2",
"  	c None",
". 	c #E9E9E9",
"+ 	c #E5E5E5",
"@ 	c #A6A5A4",
"# 	c #61605E",
"$ 	c #3D2324",
"% 	c #2D1515",
"& 	c #392526",
"* 	c #645655",
"= 	c #C2C0C0",
"- 	c #F1F1F1",
"; 	c #F0F0F0",
"> 	c #EAEAEA",
", 	c #786C6C",
"' 	c #625253",
") 	c #8B797B",
"! 	c #A79698",
"~ 	c #A49195",
"{ 	c #9D898C",
"] 	c #715C60",
"^ 	c #685155",
"/ 	c #8F767A",
"( 	c #FFFFFF",
"_ 	c #F8F8F8",
": 	c #906866",
"< 	c #78464A",
"[ 	c #976F69",
"} 	c #AE8F82",
"| 	c #B2A594",
"1 	c #B2A393",
"2 	c #B2A899",
"3 	c #B2998C",
"4 	c #8A6760",
"5 	c #633E3B",
"6 	c #90707B",
"7 	c #ECECEC",
"8 	c #B3989F",
"9 	c #6D3828",
"0 	c #834E35",
"a 	c #A17454",
"b 	c #B08960",
"c 	c #AD8F62",
"d 	c #A68B5D",
"e 	c #B09164",
"f 	c #AD8B62",
"g 	c #9E7455",
"h 	c #6B412D",
"i 	c #603D34",
"j 	c #BC9CA4",
"k 	c #DDDDDD",
"l 	c #8A4D52",
"m 	c #874D29",
"n 	c #8B562C",
"o 	c #996630",
"p 	c #9C6E32",
"q 	c #9F7A3B",
"r 	c #9A7838",
"s 	c #9D7736",
"t 	c #996F32",
"u 	c #9A6835",
"v 	c #906039",
"w 	c #5E3821",
"x 	c #954C3D",
"y 	c #EEEEEE",
"z 	c #DCDCDC",
"A 	c #7B3124",
"B 	c #965C2E",
"C 	c #A1672C",
"D 	c #9A6220",
"E 	c #9F6C25",
"F 	c #A37B32",
"G 	c #9D7730",
"H 	c #9F742C",
"I 	c #A3732B",
"J 	c #9A631C",
"K 	c #9E672B",
"L 	c #7B4E26",
"M 	c #8E2D0A",
"N 	c #FDFDFD",
"O 	c #E8E8E8",
"P 	c #82371A",
"Q 	c #9C6936",
"R 	c #9B631F",
"S 	c #713D00",
"T 	c #693A00",
"U 	c #694200",
"V 	c #674200",
"W 	c #6A4100",
"X 	c #6F4000",
"Y 	c #6F3500",
"Z 	c #A86F24",
"` 	c #8F5E2C",
" .	c #922F06",
"..	c #EFEFEF",
"+.	c #DADADA",
"@.	c #914827",
"#.	c #9E733D",
"$.	c #A17229",
"%.	c #6F4400",
"&.	c #674400",
"*.	c #644700",
"=.	c #684C03",
"-.	c #6E4D06",
";.	c #733D00",
">.	c #AD7725",
",.	c #A97B42",
"'.	c #A14F1F",
").	c #E6E6E6",
"!.	c #CBCAC8",
"~.	c #9D5839",
"{.	c #8F6C36",
"].	c #B29046",
"^.	c #AE903A",
"/.	c #B2A54C",
"(.	c #B2A552",
"_.	c #B2A659",
":.	c #B2A65C",
"<.	c #B2994D",
"[.	c #B28F38",
"}.	c #B29140",
"|.	c #977138",
"1.	c #9D5D1D",
"2.	c #D2D2D2",
"3.	c #D4D4D4",
"4.	c #967556",
"5.	c #A38A53",
"6.	c #A9934B",
"7.	c #B2A149",
"8.	c #AFA445",
"9.	c #B2AE53",
"0.	c #B2B260",
"a.	c #B2AF59",
"b.	c #B2A04B",
"c.	c #B29341",
"d.	c #B2914A",
"e.	c #826735",
"f.	c #886B59",
"g.	c #D3D3D2",
"h.	c #F7F7F7",
"i.	c #E1E1E1",
"j.	c #9C847A",
"k.	c #6F5C2C",
"l.	c #8B7B40",
"m.	c #B2AD5E",
"n.	c #AFB258",
"o.	c #ADAD54",
"p.	c #B2B158",
"q.	c #B2B263",
"r.	c #B2A862",
"s.	c #977D45",
"t.	c #5D4E26",
"u.	c #9A8779",
"v.	c #E2E2E2",
"w.	c #D7D7D7",
"x.	c #AAA4A7",
"y.	c #544629",
"z.	c #6A6030",
"A.	c #8A8649",
"B.	c #A9AA60",
"C.	c #B2B26C",
"D.	c #B2B26B",
"E.	c #B2B060",
"F.	c #AAA25B",
"G.	c #988853",
"H.	c #62552E",
"I.	c #454123",
"J.	c #A49D99",
"K.	c #D6D6D6",
"L.	c #DEDEDE",
"M.	c #BCBCBC",
"N.	c #897D81",
"O.	c #5A5432",
"P.	c #4F4D23",
"Q.	c #696A39",
"R.	c #8C905A",
"S.	c #9EA167",
"T.	c #949256",
"U.	c #7B7742",
"V.	c #443F1C",
"W.	c #3E3A23",
"X.	c #807B77",
"Y.	c #BABABA",
"Z.	c #E0E0E0",
"`.	c #CDCDCD",
" +	c #B4B4B4",
".+	c #8C8889",
"++	c #626353",
"@+	c #565B3B",
"#+	c #433453",
"$+	c #494351",
"%+	c #474843",
"&+	c #4A4A42",
"*+	c #625C5C",
"=+	c #8B848B",
"-+	c #B3B3B3",
";+	c #CBCBCB",
">+	c #DBDBDB",
",+	c #E3E3E3",
"'+	c #BDBDBD",
")+	c #A5A7AC",
"!+	c #83838D",
"~+	c #827E7F",
"{+	c #757573",
"]+	c #767873",
"^+	c #8D8F8C",
"/+	c #A3AAAA",
"(+	c #D9D9D9",
"_+	c #D8D8D8",
":+	c #D3D3D3",
"<+	c #C7C7C7",
"[+	c #ACACAC",
"}+	c #A6A6A4",
"|+	c #A5A5A5",
"1+	c #A7A7A8",
"2+	c #B0B0B0",
"3+	c #C9C9C9",
"4+	c #CECECE",
"5+	c #CACACA",
"6+	c #C5C5C5",
"7+	c #B8B8B8",
"8+	c #BBBBBB",
"9+	c #C0C0C0",
"0+	c #C8C8C8",
"a+	c #C6C6C6",
". . . . . . . + @ # $ % & * = + . . . . . . ",
"- - - - - ; > , ' ) ! ~ { ] ^ / > ; - - - - ",
"( ( ( ( ( _ : < [ } | 1 2 3 4 5 6 _ ( ( ( ( ",
"- - - - 7 8 9 0 a b c d e f g h i j 7 - - - ",
". . . . k l m n o p q r s t u v w x k . . . ",
"y y y y z A B C D E F G H I J K L M z y y y ",
"N N N N O P Q R S T U V W X Y Z `  .O N N N ",
"........+.@.#.$.%.&.*.=.-.%.;.>.,.'.+.......",
").).).).!.~.{.].^./.(._.:.<.[.}.|.1.2.).).).",
"> > > > 3.4.5.6.7.8.9.0.a.b.c.d.e.f.g.> > > ",
"h.h.h.h.i.j.k.l.m.0.n.o.p.q.r.s.t.u.v.h.h.h.",
"O O O O w.x.y.z.A.B.C.D.E.F.G.H.I.J.K.O O O ",
"L.L.L.L.3.M.N.O.P.Q.R.S.T.U.V.W.X.Y.2.L.L.L.",
"Z.Z.Z.Z.z `. +.+++@+#+$+%+&+*+=+-+;+>+Z.Z.Z.",
"> > > > > ,+2.'+)+!+~+{+]+^+/+'+2.,+> > > > ",
"(+(+(+(+(+_+:+<+Y.[+}+|+1+2+M.3+:+_+(+(+(+(+",
"4+4+4+4+4+4+4+5+6+'+7+7+8+9+<+;+4+4+4+4+4+4+",
";+;+;+;+3+5+5+0+<+<+6+6+a+<+3+5+3+5+5+;+;+;+"};


AcquaButtonIconify::AcquaButtonIconify(QWidget * parent)
  : AcquaButton(parent, i18n("Minimize"))
{
  pixmap_=QPixmap(minimize_xpm);
  pixmap_over=QPixmap(minimize_over_xpm);
  pixmap_down=QPixmap(minimize_down_xpm);
}

  void
AcquaButtonIconify::clickEvent(int /* button */)
{
  emit(iconify());
}

#include "AcquaButtonIconify.moc"
// vim:ts=2:sw=2:tw=78:set et:
