/*
  'Acqua' kwin client

  Copyright (C) 2001 Rik Hemsley (rikkus) <rik@kde.org>

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public
  License as published by the Free Software Foundation; either
  version 2 of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; see the file COPYING.  If not, write to
  the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
  Boston, MA 02111-1307, USA.
*/

#include "AcquaButtonMaximize.h"

using namespace KWinInternal;

static const char * maximize_xpm[] = {
"22 16 226 2",
"  	c None",
". 	c #E9E9E9",
"+ 	c #E5E5E5",
"@ 	c #A4A4A2",
"# 	c #5B5B59",
"$ 	c #252523",
"% 	c #090A05",
"& 	c #2C2C2C",
"* 	c #565656",
"= 	c #B3B2B2",
"- 	c #F1F1F1",
"; 	c #F0F0F0",
"> 	c #EAEAEA",
", 	c #676067",
"' 	c #434144",
") 	c #8A8A8C",
"! 	c #BFBEC4",
"~ 	c #CECCD7",
"{ 	c #C4B3C3",
"] 	c #908F94",
"^ 	c #2C3836",
"/ 	c #676E74",
"( 	c #FFFFFF",
"_ 	c #F8F8F8",
": 	c #6B706A",
"< 	c #3F4A3C",
"[ 	c #8C9B86",
"} 	c #C6D5C0",
"| 	c #D6E3CF",
"1 	c #EDF8E7",
"2 	c #E4E6DB",
"3 	c #C8D7C2",
"4 	c #8FA78D",
"5 	c #3B5041",
"6 	c #63676A",
"7 	c #ECECEC",
"8 	c #999894",
"9 	c #243D1F",
"0 	c #4A703F",
"a 	c #7AA369",
"b 	c #A5CB8E",
"c 	c #B9DB9E",
"d 	c #ABCB8C",
"e 	c #B7D49E",
"f 	c #98BF80",
"g 	c #7AA868",
"h 	c #42693A",
"i 	c #253D27",
"j 	c #959494",
"k 	c #DDDDDD",
"l 	c #455441",
"m 	c #2F5C23",
"n 	c #4F8F39",
"o 	c #569837",
"p 	c #6AA644",
"q 	c #6CA33D",
"r 	c #74A93F",
"s 	c #72AA49",
"t 	c #69A63F",
"u 	c #53942E",
"v 	c #5A9543",
"w 	c #376131",
"x 	c #3A4F3E",
"y 	c #EEEEEE",
"z 	c #DCDCDC",
"A 	c #1F3818",
"B 	c #40802C",
"C 	c #40931F",
"D 	c #56A62B",
"E 	c #6DB138",
"F 	c #6CAD2F",
"G 	c #7DC03C",
"H 	c #6FB53B",
"I 	c #6AB330",
"J 	c #5AA725",
"K 	c #489223",
"L 	c #3C782E",
"M 	c #1B3E1D",
"N 	c #FDFDFD",
"O 	c #E8E8E8",
"P 	c #113509",
"Q 	c #509B34",
"R 	c #51AD26",
"S 	c #63B32C",
"T 	c #7CBE40",
"U 	c #99DA58",
"V 	c #86CD43",
"W 	c #90D757",
"X 	c #84CC42",
"Y 	c #6FBD2C",
"Z 	c #57A626",
"` 	c #589D42",
" .	c #113F10",
"..	c #EFEFEF",
"+.	c #DADADA",
"@.	c #2D5822",
"#.	c #5FAF3C",
"$.	c #69C534",
"%.	c #8AD24C",
"&.	c #95CC55",
"*.	c #A7E168",
"=.	c #9BE15D",
"-.	c #99D95F",
";.	c #9CDE56",
">.	c #84CC3C",
",.	c #71BF38",
"'.	c #62AD48",
").	c #1B5117",
"!.	c #E6E6E6",
"~.	c #CBCAC8",
"{.	c #2F5F23",
"].	c #5AAE34",
"^.	c #77CF3D",
"/.	c #99DB57",
"(.	c #B4E474",
"_.	c #BAEE7F",
":.	c #B3F57A",
"<.	c #BBF682",
"[.	c #A9E463",
"}.	c #9FE052",
"|.	c #87D04A",
"1.	c #60AB42",
"2.	c #326A2B",
"3.	c #C0C7BE",
"4.	c #D4D4D4",
"5.	c #5C7852",
"6.	c #5C8E37",
"7.	c #95D857",
"8.	c #9EEA56",
"9.	c #A7EF65",
"0.	c #C3FF8F",
"a.	c #C6FE9D",
"b.	c #C8FA97",
"c.	c #B8F677",
"d.	c #A4F05C",
"e.	c #92DE58",
"f.	c #599440",
"g.	c #557754",
"h.	c #D3D3D2",
"i.	c #F7F7F7",
"j.	c #E1E1E1",
"k.	c #7B946D",
"l.	c #558031",
"m.	c #7DB746",
"n.	c #B3F673",
"o.	c #C8FF89",
"p.	c #C7FF8F",
"q.	c #C2F590",
"r.	c #C8FA89",
"s.	c #C7FF7F",
"t.	c #B9FC6F",
"u.	c #83C24D",
"v.	c #568541",
"w.	c #7B957C",
"x.	c #E2E2E2",
"y.	c #D7D7D7",
"z.	c #9EA1A1",
"A.	c #58724F",
"B.	c #5A843C",
"C.	c #96C962",
"D.	c #C2F57C",
"E.	c #CFFF7C",
"F.	c #DCFF84",
"G.	c #D3FF8F",
"H.	c #BDEF74",
"I.	c #9ECF5C",
"J.	c #5E8532",
"K.	c #546E47",
"L.	c #9EA09A",
"M.	c #D6D6D6",
"N.	c #DEDEDE",
"O.	c #BCBCBC",
"P.	c #788480",
"Q.	c #4D6448",
"R.	c #506F36",
"S.	c #739541",
"T.	c #9CBF57",
"U.	c #B9DC68",
"V.	c #99C067",
"W.	c #5D7835",
"X.	c #556541",
"Y.	c #7B817D",
"Z.	c #BABABA",
"`.	c #D2D2D2",
" +	c #E0E0E0",
".+	c #CDCDCD",
"++	c #B4B4B4",
"@+	c #868F8C",
"#+	c #5B6660",
"$+	c #465246",
"%+	c #3F4C38",
"&+	c #3B492F",
"*+	c #455A33",
"=+	c #445533",
"-+	c #57604F",
";+	c #848388",
">+	c #B3B3B3",
",+	c #CBCBCB",
"'+	c #DBDBDB",
")+	c #E3E3E3",
"!+	c #BDBDBD",
"~+	c #A4A5AC",
"{+	c #858793",
"]+	c #73767F",
"^+	c #6C7079",
"/+	c #6D736F",
"(+	c #8A8E8E",
"_+	c #A2A8A9",
":+	c #D9D9D9",
"<+	c #D8D8D8",
"[+	c #D3D3D3",
"}+	c #C7C7C7",
"|+	c #ACACAC",
"1+	c #A6A6A4",
"2+	c #A5A5A5",
"3+	c #A7A7A8",
"4+	c #B0B0B0",
"5+	c #C9C9C9",
"6+	c #CECECE",
"7+	c #CACACA",
"8+	c #C5C5C5",
"9+	c #B8B8B8",
"0+	c #BBBBBB",
"a+	c #C0C0C0",
"b+	c #C8C8C8",
"c+	c #C6C6C6",
". . . . . . . + @ # $ % & * = + . . . . . . ",
"- - - - - ; > , ' ) ! ~ { ] ^ / > ; - - - - ",
"( ( ( ( ( _ : < [ } | 1 2 3 4 5 6 _ ( ( ( ( ",
"- - - - 7 8 9 0 a b c d e f g h i j 7 - - - ",
". . . . k l m n o p q r s t u v w x k . . . ",
"y y y y z A B C D E F G H I J K L M z y y y ",
"N N N N O P Q R S T U V W X Y Z `  .O N N N ",
"........+.@.#.$.%.&.*.=.-.;.>.,.'.).+.......",
"!.!.!.!.~.{.].^./.(._.:.<.[.}.|.1.2.3.!.!.!.",
"> > > > 4.5.6.7.8.9.0.a.b.c.d.e.f.g.h.> > > ",
"i.i.i.i.j.k.l.m.n.o.p.q.r.s.t.u.v.w.x.i.i.i.",
"O O O O y.z.A.B.C.D.E.F.G.H.I.J.K.L.M.O O O ",
"N.N.N.N.4.O.P.Q.R.S.T.U.V.S.W.X.Y.Z.`.N.N.N.",
" + + + +z .+++@+#+$+%+&+*+=+-+;+>+,+'+ + + +",
"> > > > > )+`.!+~+{+]+^+/+(+_+!+`.)+> > > > ",
":+:+:+:+:+<+[+}+Z.|+1+2+3+4+O.5+[+<+:+:+:+:+",
"6+6+6+6+6+6+6+7+8+!+9+9+0+a+}+,+6+6+6+6+6+6+",
",+,+,+,+5+7+7+b+}+}+8+8+c+}+5+7+5+7+7+,+,+,+"};

static const char * maximize_over_xpm[] = {
"22 16 195 2",
"  	c None",
". 	c #E9E9E9",
"+ 	c #E5E5E5",
"@ 	c #A4A4A2",
"# 	c #5B5B59",
"$ 	c #252523",
"% 	c #090A05",
"& 	c #2C2C2C",
"* 	c #565656",
"= 	c #B3B2B2",
"- 	c #F1F1F1",
"; 	c #F0F0F0",
"> 	c #EAEAEA",
", 	c #676067",
"' 	c #434144",
") 	c #8A8A8C",
"! 	c #BFBEC4",
"~ 	c #CECCD7",
"{ 	c #C4B3C3",
"] 	c #908F94",
"^ 	c #2C3836",
"/ 	c #676E74",
"( 	c #FFFFFF",
"_ 	c #F8F8F8",
": 	c #6B706A",
"< 	c #3F4A3C",
"[ 	c #8C9B86",
"} 	c #C6D5C0",
"| 	c #D6E3CF",
"1 	c #EDF8E7",
"2 	c #E4E6DB",
"3 	c #C8D7C2",
"4 	c #8FA78D",
"5 	c #3B5041",
"6 	c #63676A",
"7 	c #ECECEC",
"8 	c #999894",
"9 	c #243D1F",
"0 	c #4A703F",
"a 	c #7AA369",
"b 	c #A5CB8E",
"c 	c #69A63F",
"d 	c #3C782E",
"e 	c #98BF80",
"f 	c #7AA868",
"g 	c #42693A",
"h 	c #253D27",
"i 	c #959494",
"j 	c #DDDDDD",
"k 	c #455441",
"l 	c #2F5C23",
"m 	c #4F8F39",
"n 	c #569837",
"o 	c #6AA644",
"p 	c #164400",
"q 	c #53942E",
"r 	c #5A9543",
"s 	c #376131",
"t 	c #3A4F3E",
"u 	c #EEEEEE",
"v 	c #DCDCDC",
"w 	c #1F3818",
"x 	c #40802C",
"y 	c #40931F",
"z 	c #56A62B",
"A 	c #6DB138",
"B 	c #6AB330",
"C 	c #5AA725",
"D 	c #489223",
"E 	c #1B3E1D",
"F 	c #FDFDFD",
"G 	c #E8E8E8",
"H 	c #113509",
"I 	c #509B34",
"J 	c #51AD26",
"K 	c #57A626",
"L 	c #589D42",
"M 	c #113F10",
"N 	c #EFEFEF",
"O 	c #DADADA",
"P 	c #2D5822",
"Q 	c #5FAF3C",
"R 	c #69C534",
"S 	c #1B5117",
"T 	c #71BF38",
"U 	c #62AD48",
"V 	c #E6E6E6",
"W 	c #CBCAC8",
"X 	c #2F5F23",
"Y 	c #5AAE34",
"Z 	c #77CF3D",
"` 	c #99DB57",
" .	c #B4E474",
"..	c #5E8532",
"+.	c #A9E463",
"@.	c #9FE052",
"#.	c #87D04A",
"$.	c #60AB42",
"%.	c #326A2B",
"&.	c #C0C7BE",
"*.	c #D4D4D4",
"=.	c #5C7852",
"-.	c #5C8E37",
";.	c #95D857",
">.	c #9EEA56",
",.	c #A7EF65",
"'.	c #739541",
").	c #B8F677",
"!.	c #A4F05C",
"~.	c #92DE58",
"{.	c #599440",
"].	c #557754",
"^.	c #D3D3D2",
"/.	c #F7F7F7",
"(.	c #E1E1E1",
"_.	c #7B946D",
":.	c #558031",
"<.	c #7DB746",
"[.	c #B3F673",
"}.	c #C8FF89",
"|.	c #9ECF5C",
"1.	c #C7FF7F",
"2.	c #B9FC6F",
"3.	c #83C24D",
"4.	c #568541",
"5.	c #7B957C",
"6.	c #E2E2E2",
"7.	c #D7D7D7",
"8.	c #9EA1A1",
"9.	c #58724F",
"0.	c #5A843C",
"a.	c #96C962",
"b.	c #C2F57C",
"c.	c #CFFF7C",
"d.	c #DCFF84",
"e.	c #D3FF8F",
"f.	c #BDEF74",
"g.	c #546E47",
"h.	c #9EA09A",
"i.	c #D6D6D6",
"j.	c #DEDEDE",
"k.	c #BCBCBC",
"l.	c #788480",
"m.	c #4D6448",
"n.	c #506F36",
"o.	c #9CBF57",
"p.	c #B9DC68",
"q.	c #99C067",
"r.	c #5D7835",
"s.	c #556541",
"t.	c #7B817D",
"u.	c #BABABA",
"v.	c #D2D2D2",
"w.	c #E0E0E0",
"x.	c #CDCDCD",
"y.	c #B4B4B4",
"z.	c #868F8C",
"A.	c #5B6660",
"B.	c #465246",
"C.	c #3F4C38",
"D.	c #3B492F",
"E.	c #455A33",
"F.	c #445533",
"G.	c #57604F",
"H.	c #848388",
"I.	c #B3B3B3",
"J.	c #CBCBCB",
"K.	c #DBDBDB",
"L.	c #E3E3E3",
"M.	c #BDBDBD",
"N.	c #A4A5AC",
"O.	c #858793",
"P.	c #73767F",
"Q.	c #6C7079",
"R.	c #6D736F",
"S.	c #8A8E8E",
"T.	c #A2A8A9",
"U.	c #D9D9D9",
"V.	c #D8D8D8",
"W.	c #D3D3D3",
"X.	c #C7C7C7",
"Y.	c #ACACAC",
"Z.	c #A6A6A4",
"`.	c #A5A5A5",
" +	c #A7A7A8",
".+	c #B0B0B0",
"++	c #C9C9C9",
"@+	c #CECECE",
"#+	c #CACACA",
"$+	c #C5C5C5",
"%+	c #B8B8B8",
"&+	c #BBBBBB",
"*+	c #C0C0C0",
"=+	c #C8C8C8",
"-+	c #C6C6C6",
". . . . . . . + @ # $ % & * = + . . . . . . ",
"- - - - - ; > , ' ) ! ~ { ] ^ / > ; - - - - ",
"( ( ( ( ( _ : < [ } | 1 2 3 4 5 6 _ ( ( ( ( ",
"- - - - 7 8 9 0 a b c d c e f g h i 7 - - - ",
". . . . j k l m n o d p d c q r s t j . . . ",
"u u u u v w x y z A d p d B C D d E v u u u ",
"F F F F G H I J p p h p h p p K L M G F F F ",
"N N N N O P Q R p p S S S p p T U S O N N N ",
"V V V V W X Y Z `  ...S ..+.@.#.$.%.&.V V V ",
"> > > > *.=.-.;.>.,.'...'.).!.~.{.].^.> > > ",
"/./././.(._.:.<.[.}.|...|.1.2.3.4.5.6./././.",
"G G G G 7.8.9.0.a.b.c.d.e.f.|...g.h.i.G G G ",
"j.j.j.j.*.k.l.m.n.'.o.p.q.'.r.s.t.u.v.j.j.j.",
"w.w.w.w.v x.y.z.A.B.C.D.E.F.G.H.I.J.K.w.w.w.",
"> > > > > L.v.M.N.O.P.Q.R.S.T.M.v.L.> > > > ",
"U.U.U.U.U.V.W.X.u.Y.Z.`. +.+k.++W.V.U.U.U.U.",
"@+@+@+@+@+@+@+#+$+M.%+%+&+*+X.J.@+@+@+@+@+@+",
"J.J.J.J.++#+#+=+X.X.$+$+-+X.++#+++#+#+J.J.J."};

static const char * maximize_down_xpm[] = {
"22 16 227 2",
"  	c None",
". 	c #E9E9E9",
"+ 	c #E5E5E5",
"@ 	c #A4A4A2",
"# 	c #5B5B59",
"$ 	c #252523",
"% 	c #090A05",
"& 	c #2C2C2C",
"* 	c #565656",
"= 	c #B3B2B2",
"- 	c #F1F1F1",
"; 	c #F0F0F0",
"> 	c #EAEAEA",
", 	c #676067",
"' 	c #595959",
") 	c #717171",
"! 	c #909090",
"~ 	c #989898",
"{ 	c #8D8D8D",
"] 	c #696969",
"^ 	c #383838",
"/ 	c #676E74",
"( 	c #FFFFFF",
"_ 	c #F8F8F8",
": 	c #6B706A",
"< 	c #3F4A3C",
"[ 	c #738172",
"} 	c #97A290",
"| 	c #ACB2A5",
"1 	c #9FA899",
"2 	c #A7B0A3",
"3 	c #98A397",
"4 	c #55665A",
"5 	c #3B5041",
"6 	c #63676A",
"7 	c #ECECEC",
"8 	c #999894",
"9 	c #1D3825",
"0 	c #385233",
"a 	c #5A734C",
"b 	c #6C845A",
"c 	c #5C7049",
"d 	c #3C502B",
"e 	c #576B45",
"f 	c #738A66",
"g 	c #536E4A",
"h 	c #385336",
"i 	c #12321A",
"j 	c #959494",
"k 	c #DDDDDD",
"l 	c #455441",
"m 	c #1C3F16",
"n 	c #426232",
"o 	c #496B32",
"p 	c #4F7237",
"q 	c #325219",
"r 	c #0B2900",
"s 	c #2A4810",
"t 	c #53743D",
"u 	c #486B35",
"v 	c #395C2C",
"w 	c #1C3F19",
"x 	c #3A4F3E",
"y 	c #EEEEEE",
"z 	c #DCDCDC",
"A 	c #1F3818",
"B 	c #32591E",
"C 	c #3F6925",
"D 	c #406D28",
"E 	c #4A7734",
"F 	c #396120",
"G 	c #1C4101",
"H 	c #325916",
"I 	c #4E7630",
"J 	c #416D25",
"K 	c #3D6727",
"L 	c #3C6432",
"M 	c #1B3E1D",
"N 	c #FDFDFD",
"O 	c #E8E8E8",
"P 	c #113509",
"Q 	c #47712D",
"R 	c #447322",
"S 	c #0C3E00",
"T 	c #124300",
"U 	c #164400",
"V 	c #154200",
"W 	c #1B4700",
"X 	c #124000",
"Y 	c #174800",
"Z 	c #47772B",
"` 	c #436D31",
" .	c #113F10",
"..	c #EFEFEF",
"+.	c #DADADA",
"@.	c #2D5822",
"#.	c #517934",
"$.	c #568730",
"%.	c #144900",
"&.	c #1C5201",
"*.	c #28580D",
"=.	c #2B5A0D",
"-.	c #2C5B08",
";.	c #1B4B00",
">.	c #1C5000",
",.	c #4D802C",
"'.	c #44702F",
").	c #1B5117",
"!.	c #E6E6E6",
"~.	c #CBCAC8",
"{.	c #2F5F23",
"].	c #4D7332",
"^.	c #618F39",
"/.	c #689D44",
"(.	c #76AB52",
"_.	c #5F903B",
":.	c #3A6713",
"<.	c #538029",
"[.	c #79A94E",
"}.	c #6FA144",
"|.	c #63953F",
"1.	c #52803C",
"2.	c #326A2B",
"3.	c #C0C7BE",
"4.	c #D4D4D4",
"5.	c #5C7852",
"6.	c #43672D",
"7.	c #6F974A",
"8.	c #7DAC50",
"9.	c #84B253",
"0.	c #6C993A",
"a.	c #4C771B",
"b.	c #5E892B",
"c.	c #82AE50",
"d.	c #80AF52",
"e.	c #679642",
"f.	c #446E2E",
"g.	c #557754",
"h.	c #D3D3D2",
"i.	c #F7F7F7",
"j.	c #E1E1E1",
"k.	c #7B946D",
"l.	c #49693C",
"m.	c #5A7A3D",
"n.	c #85AD5A",
"o.	c #8DB259",
"p.	c #739941",
"q.	c #537720",
"r.	c #678E35",
"s.	c #91B262",
"t.	c #8AB262",
"u.	c #689049",
"v.	c #2D541D",
"w.	c #7B957C",
"x.	c #E2E2E2",
"y.	c #D7D7D7",
"z.	c #9EA1A1",
"A.	c #3F5B44",
"B.	c #3A562A",
"C.	c #729151",
"D.	c #8EAF62",
"E.	c #99B26E",
"F.	c #91AD67",
"G.	c #96B26F",
"H.	c #93B26F",
"I.	c #688A4E",
"J.	c #385828",
"K.	c #1F441D",
"L.	c #9EA09A",
"M.	c #D6D6D6",
"N.	c #DEDEDE",
"O.	c #BCBCBC",
"P.	c #788480",
"Q.	c #3D573C",
"R.	c #334D20",
"S.	c #4B6432",
"T.	c #708556",
"U.	c #809467",
"V.	c #768A5E",
"W.	c #546C42",
"X.	c #304926",
"Y.	c #1E3D1F",
"Z.	c #7B817D",
"`.	c #BABABA",
" +	c #D2D2D2",
".+	c #E0E0E0",
"++	c #CDCDCD",
"@+	c #B4B4B4",
"#+	c #868F8C",
"$+	c #5B6660",
"%+	c #465246",
"&+	c #3F4C38",
"*+	c #3B492F",
"=+	c #455A33",
"-+	c #445533",
";+	c #57604F",
">+	c #848388",
",+	c #B3B3B3",
"'+	c #CBCBCB",
")+	c #DBDBDB",
"!+	c #E3E3E3",
"~+	c #BDBDBD",
"{+	c #A4A5AC",
"]+	c #858793",
"^+	c #73767F",
"/+	c #6C7079",
"(+	c #6D736F",
"_+	c #8A8E8E",
":+	c #A2A8A9",
"<+	c #D9D9D9",
"[+	c #D8D8D8",
"}+	c #D3D3D3",
"|+	c #C7C7C7",
"1+	c #ACACAC",
"2+	c #A6A6A4",
"3+	c #A5A5A5",
"4+	c #A7A7A8",
"5+	c #B0B0B0",
"6+	c #C9C9C9",
"7+	c #CECECE",
"8+	c #CACACA",
"9+	c #C5C5C5",
"0+	c #B8B8B8",
"a+	c #BBBBBB",
"b+	c #C0C0C0",
"c+	c #C8C8C8",
"d+	c #C6C6C6",
". . . . . . . + @ # $ % & * = + . . . . . . ",
"- - - - - ; > , ' ) ! ~ { ] ^ / > ; - - - - ",
"( ( ( ( ( _ : < [ } | 1 2 3 4 5 6 _ ( ( ( ( ",
"- - - - 7 8 9 0 a b c d e f g h i j 7 - - - ",
". . . . k l m n o p q r s t u v w x k . . . ",
"y y y y z A B C D E F G H I J K L M z y y y ",
"N N N N O P Q R S T U V W X Y Z `  .O N N N ",
"........+.@.#.$.%.&.*.=.-.;.>.,.'.).+.......",
"!.!.!.!.~.{.].^./.(._.:.<.[.}.|.1.2.3.!.!.!.",
"> > > > 4.5.6.7.8.9.0.a.b.c.d.e.f.g.h.> > > ",
"i.i.i.i.j.k.l.m.n.o.p.q.r.s.t.u.v.w.x.i.i.i.",
"O O O O y.z.A.B.C.D.E.F.G.H.I.J.K.L.M.O O O ",
"N.N.N.N.4.O.P.Q.R.S.T.U.V.W.X.Y.Z.`. +N.N.N.",
".+.+.+.+z ++@+#+$+%+&+*+=+-+;+>+,+'+)+.+.+.+",
"> > > > > !+ +~+{+]+^+/+(+_+:+~+ +!+> > > > ",
"<+<+<+<+<+[+}+|+`.1+2+3+4+5+O.6+}+[+<+<+<+<+",
"7+7+7+7+7+7+7+8+9+~+0+0+a+b+|+'+7+7+7+7+7+7+",
"'+'+'+'+6+8+8+c+|+|+9+9+d+|+6+8+6+8+8+'+'+'+"};

AcquaButtonMaximize::AcquaButtonMaximize(bool max, QWidget * parent)
  : AcquaButton(parent, i18n("Maximize"))
{
  pixmap_=QPixmap(maximize_xpm);
  pixmap_over=QPixmap(maximize_over_xpm);
  pixmap_down=QPixmap(maximize_down_xpm);
}

  void
AcquaButtonMaximize::slotMaximizeChange(bool max)
{
  setTipText(max ? i18n("Restore") : i18n("Maximize"));
}


void
AcquaButtonMaximize::clickEvent(int button)
{
  emit(maximize(button));
}

#include "AcquaButtonMaximize.moc"
// vim:ts=2:sw=2:tw=78:set et:
