/*
  'Acqua' kwin client

  Copyright (C) 2001 Rik Hemsley (rikkus) <rik@kde.org>

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public
  License as published by the Free Software Foundation; either
  version 2 of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; see the file COPYING.  If not, write to
  the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
  Boston, MA 02111-1307, USA.
*/

#include "AcquaButtonMenu.h"

using namespace KWinInternal;
static const char * menu_xpm[] = {
"22 16 144 2",
"  	c None",
". 	c #E9E9E9",
"+ 	c #E5E5E5",
"@ 	c #A4A4A3",
"# 	c #5D5D5C",
"$ 	c #292929",
"% 	c #0F0F0F",
"& 	c #2C2C2C",
"* 	c #5D5D5D",
"= 	c #AEADAD",
"- 	c #F1F1F1",
"; 	c #F0F0F0",
"> 	c #E6E6E6",
", 	c #696769",
"' 	c #585858",
") 	c #9C9C9C",
"! 	c #C5C5C5",
"~ 	c #D7D7D7",
"{ 	c #CACACA",
"] 	c #A0A0A0",
"^ 	c #4B4B4B",
"/ 	c #6B6D6E",
"( 	c #FFFFFF",
"_ 	c #F6F6F6",
": 	c #747474",
"< 	c #5B5B5B",
"[ 	c #A9A9A9",
"} 	c #DDDDDD",
"| 	c #E8E8E8",
"1 	c #F9F9F9",
"2 	c #ECECEC",
"3 	c #D9D9D9",
"4 	c #AFAFAF",
"5 	c #757576",
"6 	c #9C9C9B",
"7 	c #414141",
"8 	c #7B7B7B",
"9 	c #B9B9B9",
"0 	c #D4D4D4",
"a 	c #D3D3D3",
"b 	c #BBBBBB",
"c 	c #777777",
"d 	c #474747",
"e 	c #959494",
"f 	c #DADADA",
"g 	c #4E4E4E",
"h 	c #6C6C6C",
"i 	c #ABABAB",
"j 	c #A2A2A2",
"k 	c #B2B2B2",
"l 	c #B5B5B5",
"m 	c #C1C1C1",
"n 	c #BABABA",
"o 	c #A6A6A6",
"p 	c #737373",
"q 	c #DCDCDC",
"r 	c #EEEEEE",
"s 	c #DBDBDB",
"t 	c #454545",
"u 	c #999999",
"v 	c #AAAAAA",
"w 	c #B0B0B0",
"x 	c #C0C0C0",
"y 	c #C7C7C7",
"z 	c #C2C2C2",
"A 	c #B6B6B6",
"B 	c #8F8F8F",
"C 	c #FDFDFD",
"D 	c #CECECE",
"E 	c #595959",
"F 	c #C9C9C9",
"G 	c #CFCFCF",
"H 	c #D5D5D5",
"I 	c #D8D8D8",
"J 	c #B1B1B1",
"K 	c #5E5E5E",
"L 	c #D2D2D2",
"M 	c #EFEFEF",
"N 	c #676767",
"O 	c #E2E2E2",
"P 	c #E0E0E0",
"Q 	c #D0D0D0",
"R 	c #C3C3C3",
"S 	c #626262",
"T 	c #BFBFBF",
"U 	c #B8B8B8",
"V 	c #6D6D6D",
"W 	c #D1D1D1",
"X 	c #F3F3F3",
"Y 	c #F7F7F7",
"Z 	c #F5F5F5",
"` 	c #767676",
" .	c #EAEAEA",
"..	c #7C7C7C",
"+.	c #E7E7E7",
"@.	c #FBFBFB",
"#.	c #FAFAFA",
"$.	c #EDEDED",
"%.	c #A7A7A7",
"&.	c #7A7A7A",
"*.	c #888888",
"=.	c #898989",
"-.	c #CCCCCC",
";.	c #FCFCFC",
">.	c #878787",
",.	c #8C8C8C",
"'.	c #9E9E9E",
").	c #6B6B6B",
"!.	c #E4E4E4",
"~.	c #939393",
"{.	c #D6D6D6",
"].	c #DEDEDE",
"^.	c #797A7A",
"/.	c #565656",
"(.	c #9F9F9F",
"_.	c #727272",
":.	c #5A5A5A",
"<.	c #7E7F7E",
"[.	c #CDCDCD",
"}.	c #B4B4B4",
"|.	c #898B8B",
"1.	c #4D4D4D",
"2.	c #434343",
"3.	c #424242",
"4.	c #4A4A4A",
"5.	c #656565",
"6.	c #8A8A8B",
"7.	c #B3B3B3",
"8.	c #CBCBCB",
"9.	c #E3E3E3",
"0.	c #BDBDBD",
"a.	c #A2A3A7",
"b.	c #8E8E92",
"c.	c #7F8080",
"d.	c #7F7F7F",
"e.	c #8F9090",
"f.	c #A2A6A6",
"g.	c #ACACAC",
"h.	c #A6A6A4",
"i.	c #A5A5A5",
"j.	c #A7A7A8",
"k.	c #BCBCBC",
"l.	c #C8C8C8",
"m.	c #C6C6C6",
". . . . . . . + @ # $ % & * = + . . . . . . ",
"- - - - - ; > , ' ) ! ~ { ] ^ / > ; - - - - ",
"( ( ( ( ( _ : < [ } | 1 2 3 4 * 5 _ ( ( ( ( ",
"- - - - 2 6 7 8 9 0 3 3 ~ a b c d e 2 - - - ",
". . . . f g h i j k b l m n o i p g q . . . ",
"r r r r s t u v w x x y z A A o B ^ 0 r r r ",
"C C C C D E w i F G H I 3 G G k J K L C C C ",
"M M M M n N x F I 3 . O > P L Q R S T M M M ",
"> > > > U V 9 W O r X Y Z M > f A ` w > > > ",
" . . . .z ..[ P +.@.( #.( #.r $.%.&.x  . . .",
"Y Y Y Y 3 *.=.-._ C ;.( _ ( C { >.,.f Y Y Y ",
"| | | | ~ '.).B f @.( ( ( ( !.~.V 6 {.| | | ",
"].].].].0 b ^./.: o W  .L (._.:.<.n L ].].].",
"P P P P q [.}.|.S 1.7 2.3.4.5.6.7.8.s P P P ",
" . . . . .9.L 0.a.b.c.` d.e.f.0.L 9. . . . .",
"3 3 3 3 3 I a y n g.h.i.j.w k.F a I 3 3 3 3 ",
"D D D D D D D { ! 0.U U b x y 8.D D D D D D ",
"8.8.8.8.F { { l.y y ! ! m.y F { F { { 8.8.8."};

static const char * menu_over_xpm[] = {
"22 18 142 2",
"  	c None",
". 	c #E9E9E9",
"+ 	c #E5E5E5",
"@ 	c #A4A4A3",
"# 	c #5D5D5C",
"$ 	c #292929",
"% 	c #0F0F0F",
"& 	c #2C2C2C",
"* 	c #5D5D5D",
"= 	c #AEADAD",
"- 	c #F1F1F1",
"; 	c #F0F0F0",
"> 	c #E6E6E6",
", 	c #696769",
"' 	c #585858",
") 	c #9C9C9C",
"! 	c #C5C5C5",
"~ 	c #D7D7D7",
"{ 	c #CACACA",
"] 	c #A0A0A0",
"^ 	c #4B4B4B",
"/ 	c #6B6D6E",
"( 	c #FFFFFF",
"_ 	c #F6F6F6",
": 	c #747474",
"< 	c #5B5B5B",
"[ 	c #A9A9A9",
"} 	c #DDDDDD",
"| 	c #E8E8E8",
"1 	c #F9F9F9",
"2 	c #ECECEC",
"3 	c #D9D9D9",
"4 	c #AFAFAF",
"5 	c #757576",
"6 	c #9C9C9B",
"7 	c #414141",
"8 	c #7B7B7B",
"9 	c #B9B9B9",
"0 	c #D4D4D4",
"a 	c #D3D3D3",
"b 	c #BBBBBB",
"c 	c #777777",
"d 	c #474747",
"e 	c #959494",
"f 	c #DADADA",
"g 	c #4E4E4E",
"h 	c #6C6C6C",
"i 	c #ABABAB",
"j 	c #A2A2A2",
"k 	c #B2B2B2",
"l 	c #B5B5B5",
"m 	c #C1C1C1",
"n 	c #BABABA",
"o 	c #A6A6A6",
"p 	c #737373",
"q 	c #DCDCDC",
"r 	c #EEEEEE",
"s 	c #DBDBDB",
"t 	c #454545",
"u 	c #999999",
"v 	c #AAAAAA",
"w 	c #8F8F8F",
"x 	c #FDFDFD",
"y 	c #CECECE",
"z 	c #595959",
"A 	c #B0B0B0",
"B 	c #CFCFCF",
"C 	c #D5D5D5",
"D 	c #D8D8D8",
"E 	c #B1B1B1",
"F 	c #5E5E5E",
"G 	c #D2D2D2",
"H 	c #EFEFEF",
"I 	c #676767",
"J 	c #C0C0C0",
"K 	c #C9C9C9",
"L 	c #E2E2E2",
"M 	c #E0E0E0",
"N 	c #D0D0D0",
"O 	c #C3C3C3",
"P 	c #626262",
"Q 	c #BFBFBF",
"R 	c #B8B8B8",
"S 	c #6D6D6D",
"T 	c #D1D1D1",
"U 	c #B6B6B6",
"V 	c #767676",
"W 	c #EAEAEA",
"X 	c #C2C2C2",
"Y 	c #7C7C7C",
"Z 	c #E7E7E7",
"` 	c #FBFBFB",
" .	c #FAFAFA",
"..	c #EDEDED",
"+.	c #A7A7A7",
"@.	c #7A7A7A",
"#.	c #F7F7F7",
"$.	c #888888",
"%.	c #898989",
"&.	c #CCCCCC",
"*.	c #FCFCFC",
"=.	c #878787",
"-.	c #8C8C8C",
";.	c #9E9E9E",
">.	c #6B6B6B",
",.	c #E4E4E4",
"'.	c #939393",
").	c #D6D6D6",
"!.	c #DEDEDE",
"~.	c #797A7A",
"{.	c #565656",
"].	c #9F9F9F",
"^.	c #727272",
"/.	c #5A5A5A",
"(.	c #7E7F7E",
"_.	c #CDCDCD",
":.	c #B4B4B4",
"<.	c #898B8B",
"[.	c #4D4D4D",
"}.	c #434343",
"|.	c #424242",
"1.	c #4A4A4A",
"2.	c #656565",
"3.	c #8A8A8B",
"4.	c #B3B3B3",
"5.	c #CBCBCB",
"6.	c #E3E3E3",
"7.	c #BDBDBD",
"8.	c #A2A3A7",
"9.	c #8E8E92",
"0.	c #7F8080",
"a.	c #7F7F7F",
"b.	c #8F9090",
"c.	c #A2A6A6",
"d.	c #C7C7C7",
"e.	c #ACACAC",
"f.	c #A6A6A4",
"g.	c #A5A5A5",
"h.	c #A7A7A8",
"i.	c #BCBCBC",
"j.	c #C8C8C8",
"k.	c #C6C6C6",
". . . . . . . + @ # $ % & * = + . . . . . . ",
"- - - - - ; > , ' ) ! ~ { ] ^ / > ; - - - - ",
"( ( ( ( ( _ : < [ } | 1 2 3 4 * 5 _ ( ( ( ( ",
"- - - - 2 6 7 8 9 0 3 3 ~ a b c d e 2 - - - ",
". . . . f g h i j k b l m n o i p g q . . . ",
"r r r r s t u v w w w w w w w o w ^ 0 r r r ",
"x x x x y z A i w B C D 3 B w k E F G x x x ",
"H H H H n I J K w 3 . L > M w N O P Q H H H ",
"> > > > R S 9 T w w w w w w w f U V A > > > ",
"W W W W X Y [ M Z ` (  .(  .r ..+.@.J W W W ",
"#.#.#.#.3 $.%.&._ x *.( _ ( x { =.-.f #.#.#.",
"| | | | ~ ;.>.w f ` ( ( ( ( ,.'.S 6 ).| | | ",
"!.!.!.!.0 b ~.{.: o T W G ].^./.(.n G !.!.!.",
"M M M M q _.:.<.P [.7 }.|.1.2.3.4.5.s M M M ",
"W W W W W 6.G 7.8.9.0.V a.b.c.7.G 6.W W W W ",
"3 3 3 3 3 D a d.n e.f.g.h.A i.K a D 3 3 3 3 ",
"y y y y y y y { ! 7.R R b J d.5.y y y y y y ",
"5.5.5.5.K { { j.d.d.! ! k.d.K { K { { 5.5.5."};

AcquaButtonMenu::AcquaButtonMenu(QWidget * parent)
  : AcquaButton(parent, i18n("Menu"))
{
  pixmap_=QPixmap(menu_xpm);
  pixmap_over=QPixmap(menu_over_xpm);
  pixmap_down=QPixmap(menu_xpm);
}

  void
AcquaButtonMenu::clickEvent(int /* button */)
{
}

  void
AcquaButtonMenu::mousePressEvent(QMouseEvent *e)
{
  AcquaButton::mousePressEvent(e);

  QPoint menuPoint ( rect().bottomLeft() );

  // Move to right if menu on rhs, otherwise on left
  // and make this depend on windowWrapper(), not button.
  emit popupMenu( mapToGlobal( menuPoint ) );

  mouseDown_=false;
  repaint();
}

#include "AcquaButtonMenu.moc"
// vim:ts=2:sw=2:tw=78:set et:
